Get Job
curl --request GET \
--url https://api.example.com/api/messaging/jobs/{jobId}import requests
url = "https://api.example.com/api/messaging/jobs/{jobId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/messaging/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "job_550e8400-e29b-41d4-a716-446655440001",
"status": "completed",
"createdAt": 1703001234567,
"startedAt": 1703001234600,
"completedAt": 1703001235890,
"result": {
"text": "Here is the processed response.",
"actions": ["REPLY"]
}
}
JOBS
Get Job
GET
/
api
/
messaging
/
jobs
/
{jobId}
Get Job
Get the status and result of a messaging job.
Path Parameters
The job ID returned from job creation
Response
Unique job identifier
Job status:
queued, processing, completed, failed, timeoutUnix timestamp of job creation
Unix timestamp when processing started
Unix timestamp when job completed
Error message (only present when status is
failed){
"jobId": "job_550e8400-e29b-41d4-a716-446655440001",
"status": "completed",
"createdAt": 1703001234567,
"startedAt": 1703001234600,
"completedAt": 1703001235890,
"result": {
"text": "Here is the processed response.",
"actions": ["REPLY"]
}
}
Was this page helpful?
⌘I

